Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064780 - no warning about pam_auth_service removal when upgrading
Summary: no warning about pam_auth_service removal when upgrading
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide
Version: 570
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Russell Dickenson
QA Contact: Julie
URL:
Whiteboard:
Depends On:
Blocks: sat-docs
TreeView+ depends on / blocked
 
Reported: 2014-02-13 09:51 UTC by Sharuzzaman Ahmat Raslan
Modified: 2017-07-20 00:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-20 00:34:06 UTC


Attachments (Terms of Use)

Description Sharuzzaman Ahmat Raslan 2014-02-13 09:51:31 UTC
Description of problem:
In Satellite 5.6 installation guide, section 7.6 Implementing PAM Authentication, there is no warning that upgrading from Satellite 5.5 to 5.6 will remove the pam_auth_service setting from /etc/rhn/rhn.conf

This caught me and Red Hat consultant Andrew Nelson (anelson@) by surprise when we upgrade Satellite 5.5 to 5.6 , when I not able to login to the Satellite after upgrading, using PAM password

This issue was actually documented here: 
https://access.redhat.com/site/solutions/506363 
but, it would be better if a warning was visible in the documentation, so that user can take corrective action right after upgrade.


Version-Release number of selected component (if applicable):
Edition 1

How reproducible:
Always

Steps to Reproduce:
1. Open Red Hat Satellite 5.6 installation guide PDF document.
2. Go to page 66, section 7.6
3. There are no warning that upgrading from 5.5 to 5.6 will remove PAM setting

Actual results:
Cannot login to Satellite after upgrading. Documentation does not warn about the removal of pam_auth_service, and what is the corrective action that user should take.

Expected results:
There are visible warning that the setting is removed, and what user should do to restore the setting

Additional info:

Comment 1 Clifford Perry 2014-03-04 13:12:30 UTC
This is expected behaviour. 

Within the Upgrade documentation we note that you need to restore customizations made to rhn.conf as part of the upgrade process. 

Example, within the satellite-upgrade-postgresql.txt file, provided within the Upgrade documentation, shipped within the rhn-upgrade package, we state: 

 132 7. Verify /etc/rhn/rhn.conf settings.
 133 
 134 A backup copy of rhn.conf and other configuration files were copied to
 135 /etc/sysconfig/rhn/backup-$DATE-$TIME. Referring to the backup copy of
 136 the rhn.conf file, please ensure that any previous custom values are set
 137 in the new Red Hat Satellite's /etc/rhn/rhn.conf file, such as:
 138 
 139     debug = 3
 140     pam_auth_service = rhn-satellite
 141 

Regards,
Cliff

Comment 2 Clifford Perry 2014-03-04 13:15:46 UTC
Additionally, the upgrade information listed in the Satellite docs is an Overview, it is NOT detailed instructions. 

As noted within top of section 6.2: 

https://access.redhat.com/site/documentation/en-US/Red_Hat_Satellite/5.6/html/Installation_Guide/sect-Installation_Guide-Upgrades-Procedure.html

"Important
The following is a basic procedure for upgrading Red Hat Satellite to version 5.6. For comprehensive instructions, see the /etc/sysconfig/rhn/satellite-upgrade/README file in the rhn-upgrade package. " 

If this is causing to much confusion, it would be my preference to remove ALL overview details and force users to READ and follow the rhn-upgrade instructions. 

Cliff

Comment 3 Sharuzzaman Ahmat Raslan 2014-03-04 15:34:08 UTC
I don't have any problem if the overview is removed.

But, people read the PDF, not the text file to get the necessary information, and they expect to get all the information from the PDF.

If the detail information is in the text file, then the text file should be able to be downloaded from somewhere, without having to download rhn-upgrade package. Red Hat documentation website did not have these text file

Help the user, not make them suffer by having to jumps several hoops to get the necessary information

Comment 4 Andrew Dahms 2017-07-04 11:41:55 UTC
Moving to 'NEW' and the default assignee to be triaged as the schedule allows.


Note You need to log in before you can comment on or make changes to this bug.